Skip to Content
veriom

GitHub repository selection

GET
/v1/github/workspaces/{workspace_id}/repository-selections/{selection_id}

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
selection_id*Selection Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
account_login*Account Login
expires_at*Expires At
Formatdate-time
id*Id
Formatuuid
installation_id*Installation Id
recommended_repository_ids?array<integer>

Repositories to preselect: every authorized, unarchived repository not yet connected and not disconnected by a person, most recently pushed first, up to the plan's remaining repository capacity.

repositories*array<>
workspace_id*Workspace Id
Formatuuid
workspace_name*Workspace Name
workspace_slug*Workspace Slug
Example Request
curl -X GET 'https://api.veriom.ai/v1/github/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/repository-selections/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "account_login": "string",  "expires_at": "2019-08-24T14:15:22Z",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "installation_id": 0,  "recommended_repository_ids": [    0  ],  "repositories": [    {      "already_connected": true,      "archived": true,      "full_name": "string",      "id": 0,      "private": true    }  ],  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",  "workspace_name": "string",  "workspace_slug": "string"}